!content-type:member
name: members-app
icon: icon-people
label: Members

subApps:
  detail:
    form:
      properties:
        emailAddress:
          validators:
            email:
              $type: emailValidator
              errorMessage: Enter a valid email address!

  browser:
    actions:
      activate:
        availability:
          multiple: true

      activateRecursive:
        $type: jcrCommandAction
        catalog: versioned
        command: publish
        params:
          recursive: true
        icon: icon-publish-incl-sub
        availability:
          writePermissionRequired: true
          multiple: true
          rules:
            isPublishable:
              $type: jcrPublishableRule
            notDeleted:
              $type: jcrIsDeletedRule
              negate: true

    actionbar:
      sections:
        folder:
          groups:
            activationActions:
              items:
                - name: activateRecursive